Subject: RE: [PWE3] MPLS PID

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 27 Mar 2003 13:56:17 -0500

> >I don't feel obligated to answer nonsense questions.  No one has
> >proposed putting a CRC in the PID.
>
>First of all I meant computing CRC over the first 20 byte of payload header
>and comparing it to the suspected IP CRC in octets 11 and 12 of the payload.
>If they match then it is IPv4, if not it is something else (similar 
>procedure for IPv6)

         Doesn't this seem like a bit of a kludge that is prone to
potential errors?

         --Tom

>Secondly I am proposing it now. Is there a problem? I feel my procedure is 
>far superior to just checking 4 bits to decide whether the payload is IP 
>or not.
>
> >
> >Curtis
> >
> >ps - "requiring [..] not to produce a valid CRC" doesn't even parse in
> >english so your question is complete nonsense.
>
>
>It makes perfect sense if you understand my proposal. I think you need to 
>talk to Alia, since she could parse it correctly :)
>
>-Shahram

http://www.elsevier-international.com/catalogue/title.cfm?ISBN=155860751X